/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.NoFood: ImageVector
    get() {
        if (_noFood != null) {
            return _noFood!!
        }
        _noFood = materialIcon(name = "Sharp.NoFood") {
            materialPath {
                moveTo(11.35f, 8.52f)
                lineTo(11.0f, 5.0f)
                horizontalLineToRelative(5.0f)
                verticalLineTo(1.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(5.0f)
                lineToRelative(-1.38f, 13.79f)
                lineTo(18.0f, 15.17f)
                lineTo(11.35f, 8.52f)
                close()
                moveTo(21.9f, 21.9f)
                lineTo(2.1f, 2.1f)
                lineTo(0.69f, 3.51f)
                lineToRelative(5.7f, 5.7f)
                curveTo(3.46f, 9.83f, 1.0f, 11.76f, 1.0f, 15.0f)
                horizontalLineToRelative(11.17f)
                lineToRelative(2.0f, 2.0f)
                horizontalLineTo(1.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(15.0f)
                verticalLineToRelative(-0.17f)
                lineToRelative(4.49f, 4.49f)
                lineTo(21.9f, 21.9f)
                close()
                moveTo(1.0f, 23.0f)
                horizontalLineToRelative(15.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineTo(1.0f)
                verticalLineTo(23.0f)
                close()
            }
        }
        return _noFood!!
    }

private var _noFood: ImageVector? = null
